package ee.arti;

import javafx.application.Application;
import org.java_websocket.client.WebSocketClient;
import org.java_websocket.handshake.ServerHandshake;

import java.net.URI;
import java.net.URISyntaxException;

public class Main extends WebSocketClient {

    public static void main(String[] args) throws URISyntaxException {
        System.out.println("Hello world");
        Main m = new Main(new URI("ws://iot.wut.ee/ws/lapjava"));
        m.connect();
        System.out.println("after connect");
        Application gui = new Gui(m);
        gui.launch(Gui.class, args);
    }

    public Main(URI serverURI) {
        super(serverURI);
    }

    @Override
    public void onOpen(ServerHandshake serverHandshake) {
        System.out.println("Connected");
    }

    @Override
    public void onMessage(String s) {
        System.out.printf("Message %s%n", s);
    }

    @Override
    public void onClose(int i, String s, boolean b) {
        System.out.println("close");
    }

    @Override
    public void onError(Exception e) {
        System.out.println("error");
    }
}
